#!/bin/sh
if [ -f /opt/polycom/edge/current/bin/edge.env ]; then
    source /opt/polycom/edge/current/bin/edge.env
fi
ROUTE_SCRIPT="$EDGE_HOME/bin/admin-cfg-scripts/network/addroute.sh"
IPTABLES_FILE="/etc/sysconfig/iptables"
TMP_DIR="$EDGE_BASE/tmp"
ECHO=/bin/echo

checkPermission()
{
    if [ $UID -gt 0 ] && [ "`id -un`" != "root" ]; then
	${ECHO} "You must execute this shell in root!"
	exit 1
    fi
}


printUsage()
{
    ${ECHO} "parameter error"
    ${ECHO} "Usage:"
    ${ECHO} -e "$0 \n-backupcfg backup_index\n-restorecfg backup_index\n-deletecfg backup_index"
    ${ECHO} "Example: $0 -backupcfg 20120802"
    ${ECHO} "Example: $0 -restorecfg 20120802"
    ${ECHO} "Example: $0 -deletecfg 20120802"
    exit 1
}



case "$1" in
        -backupcfg)
	    if [ -z $2 ]; then
	        ${ECHO} "You must provice a backup/restore index."
    	        exit 1    
            fi
	    
            BAKDIR=$TMP_DIR/$2
	    ${ECHO} "backing up configuration files to $BAKDIR..."
            mkdir $BAKDIR
            cp -f $ROUTE_SCRIPT $BAKDIR/addroute.sh
            cp -f $IPTABLES_FILE $BAKDIR/iptables
        ;;
        -restorecfg)
            RESDIR=$TMP_DIR/$2
            if [ ! -d $RESDIR ]; then
    	        ${ECHO} "restore directory: $RESDIR doesn't exist."
    	        exit 1 
            fi
	    ${ECHO} "restoring up configuration files from $RESDIR..."
	    RESDIR=$TMP_DIR/$2
            cd $RESDIR
            cp -f $RESDIR/addroute.sh $ROUTE_SCRIPT
            cp -f $RESDIR/iptables $IPTABLES_FILE
        ;; 
        -deletecfg)
            ${ECHO} "deleting backup $2..."
	    DELDIR=$TMP_DIR/$2
            if [ -d $RESDIR ]; then
    	        rm -rf $DELDIR 
            fi   
        ;;
        *)
	    printUsage
esac

${ECHO} "You need to reboot the machine to make the changes done!"

