#!/bin/bash
BASE_DIR=.
AMS_VERSION_FILE=${BASE_DIR}/source/tomcat-apps/ams-shared/src/java/com/polycom/ams/shared/constants/AMSVersion.java
FLEX_VERSION_FILE=${BASE_DIR}/source/flex-ui/version.properties
rm -rf ${AMS_VERSION_FILE} ${FLEX_VERSION_FILE}
svn update
SVN_VERSION=$(svn info | grep "Last Changed Rev:" | cut -d ' ' -f 4)
MAJOR_VERSION=1.1.0
MINOR_VERSION=${SVN_VERSION}
FULL_VERSION=${MAJOR_VERSION}.${MINOR_VERSION}
cp ${AMS_VERSION_FILE} ${BASE_DIR}
sed "s/version = .*$/version = \"${FULL_VERSION}\";/" ${BASE_DIR}/AMSVersion.java > ${BASE_DIR}/AMSVersion.java.new
cp ${BASE_DIR}/AMSVersion.java.new ${AMS_VERSION_FILE}
dos2unix ${AMS_VERSION_FILE}
rm -rf ${BASE_DIR}/AMSVersion.*
sed "s/version=.*$/version=${FULL_VERSION}/" ${FLEX_VERSION_FILE} > ${BASE_DIR}/version.properties.new
cp ${BASE_DIR}/version.properties.new ${FLEX_VERSION_FILE}
rm -rf ${BASE_DIR}/version.properties.new
dos2unix ${FLEX_VERSION_FILE}
ant -buildfile ${BASE_DIR}/source/tomcat-apps/build-support/build.xml clean
ant -buildfile ${BASE_DIR}/deployment/build.xml clean
ant -buildfile ${BASE_DIR}/deployment/build.xml
VERSION_WITH_DATE=$(date +%Y_%m_%d_r_${FULL_VERSION})
mkdir -p ${BASE_DIR}/release/${VERSION_WITH_DATE}
cp -r ${BASE_DIR}/deployment/dist/* ${BASE_DIR}/release/${VERSION_WITH_DATE}
echo ${VERSION_WITH_DATE}