#!/bin/bash

source /etc/profile
pgsql=$CMS_HOME/postgresql
POSTGRESQL_CONF="postgresql.conf"
PG_HBA_CONF="pg_hba.conf"

export LD_LIBRARY_PATH=$pgsql/lib/

su -c "$pgsql/bin/pg_ctl stop -D $pgsql/data > /dev/null" postgres

userdel postgres
adduser postgres
echo dst1208|passwd --stdin postgres
rm -rf $pgsql/data
rm -rf $pgsql/archive
mkdir $pgsql/data
mkdir $pgsql/archive
chown postgres:postgres $pgsql/data
chown postgres:postgres $pgsql/archive

su -c "$pgsql/bin/initdb --locale=zh_CN.UTF-8 -D $pgsql/data/" postgres

script_dir=$(dirname $(readlink -f $0))
cd $pgsql/data
\cp -f $script_dir/$POSTGRESQL_CONF.tmpl ./$POSTGRESQL_CONF
\cp -f $script_dir/$PG_HBA_CONF.tmpl ./$PG_HBA_CONF
chown postgres:postgres ./$POSTGRESQL_CONF
chown postgres:postgres ./$PG_HBA_CONF

su -c "$pgsql/bin/pg_ctl start -D $pgsql/data > /dev/null" postgres

status=`su postgres -c "$pgsql/bin/pg_ctl status -D $pgsql/data" | grep "PID"`
while [ ! "$status" ]
do
  sleep 1
  status=`su postgres -c "$pgsql/bin/pg_ctl status -D $pgsql/data" | grep "PID"`
done
# Wait 10 seconds to let 5432 port accepting connection
sleep 10
echo "DB service started"

su -c "$pgsql/bin/psql < $CMS_HOME/sql/createtables.sql" postgres


