#!/bin/bash

source /etc/profile
pgsql=$CMS_HOME/postgresql
DB_CONFIG="$pgsql/data/pg_hba.conf"

export LD_LIBRARY_PATH="$pgsql/lib/"

# Open replication connection to enabe DB synchronize.
sed -i "s:#host    replication:host    replication:g" $DB_CONFIG

status=`su postgres -c "$pgsql/bin/pg_ctl status -D $pgsql/data" | grep "PID"`
if [ -z "$status" ]; then
  echo "Starting DB service..."
  su postgres -c "$pgsql/bin/pg_ctl start -D $pgsql/data > /dev/null"
fi

while [ ! "$status" ]
do
  sleep 1
  status=`su postgres -c "$pgsql/bin/pg_ctl status -D $pgsql/data" | grep "PID"`
done
echo "DB service started"
