#!/bin/bash
# Script used to start tomcat module

source /etc/profile
dhbs_dir=$CMS_HOME/dhbs
export JAVA_HOME=$CMS_HOME/jre1.6.0_25
export PATH=$PATH:$CMS_HOME/scripts:$JAVA_HOME/bin
export JAVA_OPTS="-Dcms.home=$CMS_HOME"

TRIGER_FILE=$dhbs_dir/trigger
CONFIG_FILE=$dhbs_dir/dhbs.conf

# kill reference processes if alive before start new service
cnt=`ps -ef | grep java | grep DhbsProc | wc -l`
if [ $cnt -ne 0 ]; then
ps -ef|grep java|grep DhbsProc|awk '{print $2}' | xargs kill -9
fi
cnt=`ps -ef | grep java | grep tomcat | wc -l`
if [ $cnt -ne 0 ]; then
ps -ef | grep java | grep tomcat|awk '{print $2}' | xargs kill -9
fi
cnt=`ps -ef | grep postgres | wc -l`
if [ $cnt -ne 0 ]; then
ps -ef|grep postgres|grep data|awk '{print $2}'| xargs kill -9
fi

sed -i "s:DUMMY_CMS_HOME:$CMS_HOME:g" $CMS_HOME/scripts/postgresql.conf.tmpl

rm -f $TRIGER_FILE
java -Ddhbs.log.dir=$dhbs_dir -Dcms.home=$CMS_HOME -Xmx128m -classpath $dhbs_dir/dhbs.jar:$dhbs_dir/log4j-1.2.16.jar:$dhbs_dir/commons-compress-1.0.jar:$dhbs_dir/commons-io-1.2.jar com.polycom.ams.dhbs.core.DhbsProc $CONFIG_FILE $TRIGER_FILE > /dev/null 2>&1 &

# wait to tomcat started, StartAmsService
I=1
while [ $I -le 6 ];
do 
  cnt=`ps -ef | grep java | grep tomcat | wc -l` 
  if [ $cnt -ne 0 ]; then
	echo "Success to start CSS service"
    exit;
  fi

  sleep 5
  let I=I+1
done
echo "Fail to start CSS service"
