#!/bin/bash
#/bin/cms.sh
#
# Script to deploy cms_web

source /etc/profile
export JAVA_HOME=$CMS_HOME/jre1.6.0_25
export PATH=$PATH:$CMS_HOME/scripts

#stop tomcat first
"$CMS_HOME"/scripts/cms_tomcat_stop.sh


# initial and max memory size for the jvm
SYSMEM=`grep MemTotal /proc/meminfo | sed 's/[^0-9]*//g'`
# Assume if we have more than about 2GB then use production server memory settings,
# otherwise stick with vals that are safe for dev machines.
SERVER_1GB=1048576
SERVER_MEM_SIZE=2197152
SERVER_3GB_MEM_SIZE=3670016
SERVER_5GB_MEM_SIZE=$(( 5 * ${SERVER_1GB} ))
SERVER_7GB_MEM_SIZE=$(( 7 * ${SERVER_1GB} ))
SERVER_11GB_MEM_SIZE=$(( 11 * ${SERVER_1GB} ))
if [ ${SYSMEM} -ge ${SERVER_11GB_MEM_SIZE} ]; then
   echo This machine appears to have ${SYSMEM} kB.  Using production memory tuning parameters
   JVM_MIN_MEM=8192
   JVM_MAX_MEM=8192
   JVM_YOUNG_MEM=3072
elif [ ${SYSMEM} -ge ${SERVER_7GB_MEM_SIZE} ]; then
   echo This machine appears to have ${SYSMEM} kB.  Using production memory tuning parameters
   JVM_MIN_MEM=5120
   JVM_MAX_MEM=5120
   JVM_YOUNG_MEM=1536
elif [ ${SYSMEM} -ge ${SERVER_5GB_MEM_SIZE} ]; then
   echo This machine appears to have ${SYSMEM} kB.  Using production memory tuning parameters
   JVM_MIN_MEM=4096
   JVM_MAX_MEM=4096
   JVM_YOUNG_MEM=1536
elif [ ${SYSMEM} -ge ${SERVER_3GB_MEM_SIZE} ]; then
   echo This machine appears to have ${SYSMEM} kB.  Using production memory tuning parameters
   JVM_MIN_MEM=2560
   JVM_MAX_MEM=2560
   JVM_YOUNG_MEM=1280
elif [ ${SYSMEM} -gt ${SERVER_MEM_SIZE} ]; then
   echo This machine appears to have ${SYSMEM} kB.  Using production memory tuning parameters
   JVM_MIN_MEM=1536
   JVM_MAX_MEM=1536
   JVM_YOUNG_MEM=1024
else
   echo This machine appears to have ${SYSMEM} kB.  Using development memory tuning parameters
   JVM_MAX_MEM=512
   ENABLE_DEBUG=1
fi


# garbage collector/memory tunning
JAVA_OPTS="$JAVA_OPTS -Xmx${JVM_MAX_MEM}m"

if [ "x$JVM_MIN_MEM" != "x" ]; then
   JAVA_OPTS="$JAVA_OPTS -Xms${JVM_MIN_MEM}m"
fi

if [ "x$JVM_YOUNG_MEM" != "x" ]; then
   JAVA_OPTS="$JAVA_OPTS -Xmn${JVM_YOUNG_MEM}m"
fi

JAVA_OPTS="$JAVA_OPTS -XX:PermSize=64m -XX:MaxPermSize=256m"

export JAVA_OPTS

"$CMS_HOME"/apache-tomcat-6.0.32/bin/startup.sh
