#!/bin/sh

if [ $UID -gt 0 ] && [ "`id -un`" != "root" ]; then
echo "You must execute this shell in root!"
exit 0
fi

if [ $# -ne 5 ] ; then
    echo "parameter error"
    echo "Usage:"
    echo "$0 if_name subnet_addr/mask_bits default_gw table_id rm_only"
    echo "You have to set the default gw address in range of net of if_addr,"
    echo "the table_id and rm_only should be number,"
    echo "and rm_only can be only 0 or 1"
    exit 0
fi

RET=`expr match $4 "[0-9]*$"`
if [ ${RET} -le 0 ]; then
    echo "The 4th parameter error"
    echo "It should be a Number"
    exit 0
fi

RET=`expr match $5 "[0-9]*$"`
if [ ${RET} -le 0 ]; then
    echo "The 5th parameter error"
    echo "It should be a number"
    exit 0
fi

if [ $5 -ne 0 ] && [ $5 -ne 1 ] ; then
    echo "The 5th parameter can only be 0 or 1"
    exit 0
fi

echo "operating route items ..."

echo "ip route del $2 dev $1 table $4"
ip route del $2 dev $1 table $4
if [ $5 -eq 0 ] ; then
    echo "ip route add $2 dev $1 table $4"
    ip route add $2 dev $1 table $4
fi

echo "ip route del default via $3 dev $1 table $4"
ip route del default via $3 dev $1 table $4
if [ $5 -eq 0 ] ; then
    echo "ip route add default via $3 dev $1 table $4"
    ip route add default via $3 dev $1 table $4
fi

((a=`expr $4 - 1`))
echo "ip rule del fwmark $4 table $4 pref $a"
ip rule del fwmark $4 table $4 pref $a
if [ $5 -eq 0 ] ; then
  echo "ip rule add fwmark $4 table $4 pref $a"
  ip rule add fwmark $4 table $4 pref $a
fi

exit 1

