#!/bin/sh

if [ $UID -gt 0 ] && [ "`id -un`" != "root" ]; then
echo "You must execute this shell in root!"
exit 0
fi

if [ $# -ne 6 ] ; then
    echo "parameter error"
    echo "Usage:"
    echo "$0 if_name if_addr/prefix default_gw source_addr table_id rm_only"
    echo "You have to set the default gw address in range of net of if_addr"
    echo "the table_id and rm_only should be number,"
    echo "and rm_only can be only 0 or 1"
    exit 0
fi

RET=`expr match $5 "[0-9]*$"`
if [ ${RET} -le 0 ]; then
    echo "The 4th parameter error"
    echo "It should be a Number"
    exit 0
fi

RET=`expr match $6 "[0-9]*$"`
if [ ${RET} -le 0 ]; then
    echo "The 5th parameter error"
    echo "It should be a number"
    exit 0
fi

if [ $6 -ne 0 ] && [ $6 -ne 1 ] ; then
    echo "The 5th parameter can only be 0 or 1"
    exit 0
fi


echo "operating route items ..."
echo "ip route del $2 dev $1 table $5"
ip route del $2 dev $1 table $5
if [ $6 -eq 0 ] ; then
    echo "ip route add $2 dev $1 table $5"
    ip route add $2 dev $1 table $5
fi

echo "ip route del default via $3 dev $1 table $5"
ip route del default via $3 dev $1 table $5
if [ $6 -eq 0 ] ; then
    echo "ip route add default via $3 dev $1 table $5"
    ip route add default via $3 dev $1 table $5
fi

echo "ip rule del from $4 table $5 pref $5"
ip rule del from $4 table $5 pref $5
if [ $6 -eq 0 ] ; then
    echo "ip rule add from $4 table $5 pref $5"
    ip rule add from $4 table $5 pref $5
fi

exit 1

