#!/bin/sh

BASEDIR=`/usr/bin/readlink -f $0 | xargs /usr/bin/dirname`

. ${BASEDIR}/net_lib

if [ $# -lt 5 ];then
	exit_with_error "Usage:modDNS.sh dns1 dns2 dns3 domain schdomain" 1
fi

PRIMARYDNS=$1
ALTERDNS=$2
TERTIDNS=$3
DOMAIN=$4
SCHDOMAIN="$5"

if [ $PRIMARYDNS != "$" ];then
	check_ip_address $PRIMARYDNS
fi

if [ $ALTERDNS != "$" ];then
	check_ip_address $ALTERDNS
fi

if [ $TERTIDNS != "$" ];then
	check_ip_address $TERTIDNS
fi

chattr -i /etc/resolv.conf

handle_mod_dns_service ${PRIMARYDNS} ${ALTERDNS} ${TERTIDNS} ${DOMAIN} "${SCHDOMAIN}"

chattr +i /etc/resolv.conf

exit 0
