#!/bin/sh

BASEDIR=`/usr/bin/readlink -f $0 | xargs /usr/bin/dirname`

. ${BASEDIR}/net_lib

if [ $# -lt 4 ];then
	exit_with_error "Usage:modInf.sh interfaceName ipaddress subnetmask gateway" 1
fi

INFNAME=$1
IPADDR=$2
NETMASK=$3
GATEWAY=$4

if [ $IPADDR != "$" ];then
	check_ip_address $IPADDR
fi

if [ $NETMASK != "$" ];then
	check_network_mask $NETMASK
fi

if [ $GATEWAY != "$" ];then
	check_ip_address $GATEWAY
fi

if [ $INFNAME != "$" ]; then
	handle_mod_inf_service ${INFNAME} ${IPADDR} ${NETMASK} ${GATEWAY}
else
	exit_with_error "Usage:modInf.sh interfaceName ipaddress subnetmask gateway" 1
fi

exit 0
