#!/bin/bash

if [ $# != 3 ]; then
    echo "Usage: $0 <gw ip> <subnet> <mgmt if>"
    exit 1
fi

GATEWAY=$1
SUBNET=$2
INTERFACE=$3

# Check the existence of ip rule with priority 32765
RULE_32765=`/sbin/ip rule list |  /bin/grep -P "32765:\tfrom all lookup 252"`
if [ "X${RULE_32765}" = "X" ]; then
    # Add rule
    /sbin/ip rule add table 252 priority 32765
fi

# List table 252
TABLE_252=`ip route list table 252`
if [ "X${TABLE_252}" != "X" ]; then
    # Clear table 252
    /sbin/ip route flush table 252
fi

/sbin/ip route add default via ${GATEWAY} dev ${INTERFACE} table 252
/sbin/ip route add ${SUBNET} dev ${INTERFACE} table 252
