#!/bin/bash
# Script used to switch to Master 
source /etc/profile
PG_PATH="$CMS_HOME/postgresql"
PSQL_CMD="$PG_PATH/bin/psql"
PCTL_CMD="$PG_PATH/bin/pg_ctl"
DB_DIR="$PG_PATH/data"
export LD_LIBRARY_PATH="$PG_PATH/lib/"

TRIGGER_FILE="trigger"
RECOVERY_FILE="recovery.conf"

if [ ! -d $DB_DIR ]; then
  echo "$DB_DIR is not a directory"
  exit 1
fi

su postgres -c "touch $DB_DIR/$TRIGGER_FILE"

# Check whether the Postgresql is running
status=`su postgres -c "$PCTL_CMD status -D $DB_DIR" | grep "PID"`
if [ -z "$status" ]; then
  echo "Launching DB service..."
  su postgres -c "$PCTL_CMD start -D $DB_DIR" > /dev/null
fi

while [ ! "$status" ]
do
  sleep 1
  status=`su postgres -c "$PCTL_CMD status -D $DB_DIR" | grep "PID"`
done
echo "DB service started"
