#! /usr/bin/perl
################################################################################
## Simply wrapper to invioke the proper ping executable given a host
################################################################################
use strict;

sub ping()
{
   my ($cmd) = shift;
   my ($address) = shift;
   my @args = @_;
   my $numargs = scalar(@args);
   if ( $numargs <= 0 )
   {
      system("$cmd -c 4 $address");
   }
   else
   {
      system("$cmd @args $address");
   }       
}

sub ping4()
{
	&ping( "/bin/ping", @_);
}

sub ping6()
{
	&ping( "/bin/ping6", @_);
}

my $host = shift;
my @args = @ARGV;

if ($host =~ m/^(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/)
{
   &ping4($host, @args);
}
elsif ($host =~ m/:/) 
{
   &ping6($host, @args);
}
else
{
   ## determine if the host is reachable
   my $ret = system "/bin/ping6 -c 1 -i 1 -w 1 $host >> /dev/null 2>&1";
   if ((($ret >> 8)&0xff) == 2)
   {
      &ping4($host, @args);
   }
   else
   {
      &ping6($host, @args);
   }
}
exit 0;
