create table ams_System_Alert (id int4 not null, alert_type int4 not null, params varchar(255), note varchar(255), create_date int8 not null, update_date int8 not null, primary key (id));
create table ams_access_server (id int4 not null, internal_address varchar(128) not null, external_address varchar(128) not null, primary key (id));
create table ams_concurrent_call (id int4 not null, start_time int8, client_serial_number varchar(255), device_type varchar(255), device_model varchar(255), user_domain varchar(255), user_name varchar(255), dial_address varchar(255), primary key (id));
create table ams_endpoint (id int4 not null, system_name varchar(255) not null, device_type varchar(255) not null, model_name varchar(255) not null, version varchar(255) not null, serial_number varchar(255) not null unique, primary key (id));
create table ams_group (id int4 not null, name varchar(128) not null, parent_group_id int4, description varchar(255), primary key (id));
create table ams_group_profile (id int4 not null, key varchar(255) not null, value varchar(255) not null, validator varchar(255) not null, group_id int4 not null, primary key (id));
create table ams_license (id int4 not null, install_date int8, last_running_date int8, license_number varchar(255), activation_key varchar(255), serial_number varchar(255), primary key (id));
create table ams_sip_server (id int4 not null, sip_server_address varchar(128) not null, primary key (id));
create table ams_system_event (id int4 not null, event_level int4 not null, event_time int8 not null, event_type int4 not null, event_cotent varchar(255), event_params varchar(255), primary key (id));
create table ams_system_parameter (id int4 not null, name varchar(128) unique, value varchar(256), type int4 not null, primary key (id));
comment on column ams_system_parameter.type is '0:AD, 1:SIP, 2:H323, 3:AccessServer, 4:DialPlan';
create table ams_template (id int4 not null, name varchar(255) not null unique, device_type varchar(255) not null, model_name varchar(255), version varchar(255) not null, content text not null, primary key (id));
create table ams_user (id int4 not null, group_id int4, domain varchar(255) not null, user_name varchar(255) not null, password varchar(64) not null, first_name varchar(255), middle_name varchar(255), last_name varchar(255), display_name varchar(255), phone_number varchar(32), mobile_number varchar(32), email varchar(128), title varchar(255), location varchar(255), e164 varchar(255), sip_uri varchar(255), sip_user_name varchar(255), sip_password varchar(64), status int4 default 0 not null, last_access_time int8, last_access_ip varchar(128), unsuccessful_num int4, last_unsuccessful_time int8, role int4 default 0 not null, primary key (id));
comment on column ams_user.status is '0:Active, 1:Inactive, 2:Locked, 3:Disabled';
comment on column ams_user.role is '0:NormalUser, 1:SystemAdmin';
create table ams_user_endpoint (id int4 not null, user_id int4, endpoint_id int4, last_access_time int8, extension int4, primary key (id));
create index ams_group_profile_group_id_idx on ams_group_profile (group_id);
alter table ams_group_profile add constraint FKBAF35B71D66178D foreign key (group_id) references ams_group;
create index ams_user_e164_idx on ams_user (e164);
create index ams_user_domain_user_name_idx on ams_user (domain, user_name);
create index ams_user_group_id_idx on ams_user (group_id);
create index ams_user_status_idx on ams_user (status);
create index ams_user_role_idx on ams_user (role);
create sequence hibernate_sequence;
